Bug 989665 - (CVE-2013-5002) CVE-2013-5002 phpMyAdmin: XSS due to unescaped HTML in schema export (PMASA-2013-14)
CVE-2013-5002 phpMyAdmin: XSS due to unescaped HTML in schema export (PMASA-2...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130728,repor...
: Security
Depends On: 989678 989679 989882
Blocks: 989687
  Show dependency treegraph
 
Reported: 2013-07-29 13:13 EDT by Jan Lieskovsky
Modified: 2016-03-04 05:44 EST (History)
6 users (show)

See Also:
Fixed In Version: phpMyAdmin 3.5.8.2, phpMyAdmin 4.0.4.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-07 01:18:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2013-07-29 13:13:24 EDT
A cross-site scripting (XSS) flaw was found in the way phpMyAdmin, a tool written in PHP intended to handle the administration of MySQL over the World Wide Web, previously used to sanitize HTML output when exporting the schema. Remote attacker could provide a specially-crafted web page that, when visited by phpMyAdmin user would lead to arbitrary HTML or web script execution in the context of phpMyAdmin's user session.

Upstream advisory:
[1] http://www.phpmyadmin.net/home_page/security/PMASA-2013-14.php

Relevant patches:
[2] https://github.com/phpmyadmin/phpmyadmin/commit/1293e9b6e9eb7a831c5738f346ea44dee6d1bf0f (master)
[3] https://github.com/phpmyadmin/phpmyadmin/commit/dede065d7ad59fb7c31ae384961564b7f7a7c005 (3.5.x)
Comment 1 Jan Lieskovsky 2013-07-29 13:18:39 EDT
This issue affects the latest version of the phpMyAdmin package, as shipped with Fedora release of 18, 19, and Fedora EPEL 6. Please schedule an update.

--

This issue did not affect the latest version of the phpMyAdmin package, as shipped with Fedora EPEL-5.
Comment 2 Jan Lieskovsky 2013-07-29 13:37:57 EDT
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 989678]
Affects: epel-6 [bug 989679]
Comment 4 Jan Lieskovsky 2013-07-30 05:04:53 EDT
The CVE identifier of CVE-2013-5002 has been assigned to this issue:
  http://www.openwall.com/lists/oss-security/2013/07/30/1

Note You need to log in before you can comment on or make changes to this bug.